For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Create tokenDev Discord
  • Get started
    • Introduction
    • Authentication
    • API Privacy
    • Exceptions
    • Dev Discord
  • Modules
      • GETList item database entries
      • POSTSearch item database
      • GETQuick item search
      • GETList recipe database entries
      • POSTSearch recipe database
      • GETGet item filter metadata
      • GETList item sets
  • Changelog
    • v3.7.2 - OAuth2
    • v3.7.1
    • v3.7
    • v3.6 - Fruma Expansion
    • v3.5.2
    • v3.5.1
    • v3.5 - User System
    • v3.4
    • v3.3.4
    • v3.3.3
    • v3.3.2
    • v3.3.1
    • v3.3 - Rekindled World
    • v3.2.5
    • v3.2.4
    • v3.2.3
    • v3.2.2
    • v3.2.1
    • v3.2
    • v3.1
    • v3.0
LogoLogoWynncraft API - Documentation
Create tokenDev Discord
ModulesItem & Recipe

List item database entries

GET
https://api.wynncraft.com/v3/item/database
GET
/v3/item/database
$curl https://api.wynncraft.com/v3/item/database
200Paginated item response with a single item
1{
2 "controller": {
3 "count": 3,
4 "current_count": 1,
5 "pages": 3,
6 "prev": 1,
7 "current": 2,
8 "next": 3
9 },
10 "results": [
11 {
12 "displayName": "Idol",
13 "internalName": "Idol",
14 "type": "weapon",
15 "subType": "spear",
16 "icon": {
17 "value": {
18 "id": "minecraft:potion",
19 "name": "spear.water3",
20 "customModelData": {
21 "rangeDispatch": [
22 3024
23 ]
24 }
25 },
26 "format": "attribute"
27 },
28 "emblem": "diamond_5",
29 "tier": "mythic",
30 "attackSpeed": "normal",
31 "averageDps": 533,
32 "restriction": "none",
33 "dropRestriction": "normal",
34 "elements": [
35 "water"
36 ],
37 "requirements": {
38 "level": 95,
39 "classRequirement": "warrior",
40 "intelligence": 120
41 },
42 "majorIds": {
43 "Tidal Drift": "<span class='font-ascii' style='color:#AAAAAA'>Flying Kick will instead send you forwards. This effect is limited to once per Charge cast.</span>"
44 },
45 "powderSlots": 3,
46 "lore": "<span class='font-ascii' style='color:#AAAAAA'>Intricate carvings and images, almost like that of a totem pole, cover the shaft of this marvelous trident, dredged up from the Seavale Reef. Foreign magics heighten the senses of its user in battle, but also instills a longing for the ocean. Many have succumbed to this urge and drowned themselves.</span>",
47 "identifications": {
48 "manaRegen": {
49 "min": 3,
50 "raw": 10,
51 "max": 13
52 },
53 "reflection": {
54 "min": 9,
55 "raw": 30,
56 "max": 39
57 },
58 "waterDefence": {
59 "min": 5,
60 "raw": 15,
61 "max": 20
62 },
63 "rawIntelligence": 26,
64 "rawSpellDamage": {
65 "min": 79,
66 "raw": 264,
67 "max": 343
68 },
69 "raw2ndSpellCost": {
70 "min": -15,
71 "raw": -50,
72 "max": -65
73 }
74 },
75 "base": {
76 "baseWaterDamage": {
77 "min": 220,
78 "raw": 220,
79 "max": 300
80 }
81 }
82 }
83 ]
84}
<Note> This endpoint is cached for <Badge intent="error" minimal>1 hour</Badge> in the <Badge intent="success" minimal>SHARED</Badge> cache source. See [Caching](/welcome#caching). <Indent></Indent> This endpoint belongs to the <Badge intent="warning" minimal>ITEMS</Badge> rate-limit bucket. See [Throttling and Rate Limits](/welcome#throttling-and-rate-limits). </Note> Items use the [API Markup parser](/welcome#api-markup-parser) for Major IDs. <Info> `fullResult` bypasses pagination and returns the `results` object for all objects at once. </Info> This endpoint uses the generic pagination response format.
Enum values in these docs are based on the item metadata available on April 23, 2026. New item content can add or change values over time.
Was this page helpful?
Previous

Get guild by name

Next

Search item database

Built with

This endpoint is cached for 1 hour in the SHARED cache source. See Caching.

This endpoint belongs to the ITEMS rate-limit bucket. See Throttling and Rate Limits.

Items use the API Markup parser for Major IDs.

fullResult bypasses pagination and returns the results object for all objects at once.

This endpoint uses the generic pagination response format.

Query parameters

pageintegerOptional>=1
fullResultenumOptional

Presence-based flag that expands responses. Send it without a value as ?fullResult. Using ?fullResult=true or ?fullResult=false is not accepted.

Allowed values:

Response

Paginated item list.
controllerobject
resultslist of objects